> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/vnic/unassignnetworkinterfaceipv6.md).

# UnassignNetworkInterfaceIpv6

## 1. API Description

This API (UnassignNetworkInterfaceIpv6) is used to remove an IPv6 address (public or private) from a network interface; the NIC stack type is downgraded from IPv4\_IPv6 to IPv4, and for public IPv6 billing stops immediately.

{% hint style="info" %}
**Note**

* Supports removing both public and private IPv6 addresses from a network interface.
* After removing a public IPv6, the NIC stack type is downgraded from `IPv4_IPv6` to `IPv4` and public billing stops immediately.
* After removing a private IPv6, the NIC stack type is downgraded from `IPv4_IPv6` to `IPv4`.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                   |
| -------------- | -------- | ------ | ----------------------------------------------------------------------------- |
| nicId          | Yes      | String | The ID of the network interface from which the IPv6 address is to be removed. |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Remove the IPv6 address from the specified network interface.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: UnassignNetworkInterfaceIpv6
<Common Request Params>

Request:
{
  "nicId": "<nicId>"
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                              | Description                                                                         |
| ---------------- | --------------------------------------- | ----------------------------------------------------------------------------------- |
| 404              | INVALID\_NIC\_NOT\_FOUND                | vNIC does not exist.                                                                |
| 400              | INVALID\_NIC\_STACK\_TYPE\_NOT\_SUPPORT | The network interface stack type is not IPv4\_IPv6, the operation is not supported. |
